extends Area


var expand_scale = 12

func _process(delta):
	scale.x += expand_scale*delta
	scale.z += expand_scale*delta
	
	scale.y += (expand_scale/4)*delta

func _on_Lifetime_timeout():
	queue_free()


func _on_Shockwave_body_entered(body):
	if body != null:
		if body.is_in_group("player"):
			body.take_damage(25, ext.DAMAGE_TYPES.MISC)
